Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing
Class Resequencer

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.routing.AbstractAggregator
              org.mule.routing.Resequencer

All Implemented Interfaces:
  FlowConstructAware, MuleContextAware, Initialisable, InterceptingMessageProcessor, MessageProcessor, Aggregator, MessageSource

    public class Resequencer

extends AbstractAggregator

`CorrelationEventResequencer` is used to resequence events according to their dispatch sequence in the correlation group. When the MessageSplitter router splits an event it assigns a correlation sequence to the individual message parts so that another router such as the CorrelationEventResequencer can receive the parts and reorder or merge them.

EIP Reference: http://www.eaipatterns.com/Resequencer.html

Field Summary
`protected Comparator` | `eventComparator`

Fields inherited from class org.mule.routing.AbstractAggregator
`eventCorrelator, flowConstruct, messageInfoMapping, muleContext`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, next, notificationHandler`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`Resequencer()`

Method Summary
`protected EventCorrelatorCallback` | `getCorrelatorCallback(MuleContext muleContext)`
`Comparator` | `getEventComparator()`
`void` | `initialise()` Method used to perform any initialisation work.
`MuleEvent` | `process(MuleEvent event)` Invokes the MessageProcessor.
`void` | `setEventComparator(Comparator eventComparator)`

Methods inherited from class org.mule.routing.AbstractAggregator
`expireAggregation, getTimeout, isFailOnTimeout, setFailOnTimeout, setFlowConstruct, setMessageInfoMapping, setMuleContext, setTimeout`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### eventComparator

    protected Comparator eventComparator

Constructor Detail

### Resequencer

    public Resequencer()

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Overrides:
    `initialise` in class `AbstractAggregator`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### getEventComparator

    public Comparator getEventComparator()

### setEventComparator

    public void setEventComparator(Comparator eventComparator)

### getCorrelatorCallback

    protected EventCorrelatorCallback getCorrelatorCallback(MuleContext muleContext)

  Specified by:
    `getCorrelatorCallback` in class `AbstractAggregator`

### process

    public MuleEvent process(MuleEvent event)
                      throws MuleException

  Description copied from interface: `MessageProcessor`
  Invokes the MessageProcessor.

  Specified by:
    `process` in interface `MessageProcessor`
  Overrides:
    `process` in class `AbstractAggregator`
  Parameters:
    `event` - MuleEvent to be processed
  Returns:
    optional response MuleEvent
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.